// site-header styles
.site-header {
    position: fixed;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
    background: $white;
    z-index: 999;
    top:0;
    left: 0;
    width: 100%;
    transition: all 800ms ease;

    &.is-home {
      position: fixed;
      margin-top: -40px;
      // transform: translateY(-20%);
      opacity: 0;
    }
    &.is-active {
      position: fixed;
      opacity: 1;
      top: 0;
      margin-top: 0px;
      // transform: translateY(0%);
    }

    &.menu-opened {
      .menu-text {
        opacity: 0;
      }
    }
    
  
    .btn-toggle-search {
      font-size: calc-em(24px);
      position: absolute;
      background: transparent;
      padding: 0;
      color: $black;
      right: 66px;
      top: 0;
      display: none;

      .icon {
        display: flex;
        align-items: center;
        span {
          font-family: $primaryfont;
          font-weight: $semi-bold;
          font-size: calc-em(12px);
          padding-left: 5px;
        }
      }
  
      &.expanded {
        // background-position: 100% 0;
        // transition: all .4s ease-in-out;
  
        &:hover {
          background-position: 100% 0;
          transition: all .4s ease-in-out;
        }
      }
    }
  
    .btn-toggle-menu {
      background: none;
      border: 0;
      outline: 0;
      position: absolute;
      right: 20px;
      top: 23px;
      z-index: 1000;
      transition: all 800ms ease;
      display: inline-flex;
      align-items: center;
      padding: 0;

      &.active {
        // top: 20px;
        position:fixed;
        z-index: 1001;
        transform: translate(0px, -5px);
      }
      .menu-text {
        display: inline-block;
        margin-right: 10px;
        font-family: $primaryfont;
        margin-top: -3px;
        transition: opacity 800ms ease;
      }

      .menu-icon {
        height: 24px;
        width: 28px;
        display: inline-block;
        position: relative;
      }
  
      .line {
        background: $black;
        border-radius: 0;
        bottom: 0;
        display: inline-block;
        height: 2px;
        left: 0;
        margin: auto;
        position: absolute;
        right: 0;
        top: 0;
        transition: opacity .25s ease-in-out, transform .25s ease-in-out;
        width: 28px;
  
        &:nth-child(2) {
          transform: translateY(-8px);
        }
  
        &:nth-child(3) {
          transform: translateY(8px);
        }
      }
  
      &.active {
        .line {
          background: $black;
          &:nth-child(2) {
            transform: translateYY(0);
            opacity: 0;
          }
  
          &:nth-child(3) {
            transform: translateY(0);
            opacity: 0;
          }
  
          &:nth-child(4) {
            transform: rotate(-45deg);
          }
  
          &:nth-child(5) {
            transform: rotate(45deg);
          }
        }
      }
    }
  
    &__main {
      // padding:10px 0 12px;
      padding:10px 0 0;
      position: relative;
      background: $white;
      z-index: 998;

      .container {
        width: auto;
      }
      
    }
  
    .site-logo {
      display: inline-block;
      padding: 0;
      margin-bottom: 5px;
  
      a {
        display: inline-block;
        vertical-align: middle;

        img {
          object-fit: cover;
          height: 100%;
          width: 100%;
        }
      }
    }
    .site-search {
      display: none !important;
    }
    &__inner {
      // display: none;
      padding-top:0;
      position: fixed;
      width: 22%;
      z-index: 1000;
      right: 0;
      top: 0;
      bottom: 0;
      background: $white;
      transition: .7s;
      // opacity: 0;
      transform: translateX(100%);

      &.is-opened {
        transform: translateX(0%);
        opacity: 1;
      }
    }
  }

.site-nav-overlay {
  background: transparent;
  display: none;
  height: 100%;
  position: fixed;
  top: 0;
  transition: all .25s ease-in-out;
  width: 100%;
  z-index: 999;

  &.shown {
    background: transparentize(#000, .6);
  }
}

@media only screen and (max-width: $bpTablet - 1) {
  .site-header__inner {
    width: 100%;

    &.is-opened {
      transform: translateX(0%);
      overflow-y:scroll; 
    }
  }

  .site-header {
    .site-logo {
  
      a {
        width: 170px;
      }
    }
  }
}
